Random letters
Most popular
Newest
Latest
Dearest Ku, Writing this letter is my attempt to get you out of my system, though honestly, I don't see that happening anytime soon. But I have to try, right? Just as quickly as you ghosted me....

Read full letter

Today is your birthday and you are 11yrs. old and that means that soon you will be in the 6th grade and i heard that yo like to play basketball and xbox so have fun with your life jazzy j ttyl....

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

30/6/2024 30/06/2024 22:40 22:40 Ainda que muito, bastante. Nunca estive tão de encontro comigo como agora, sinto. As dependencias continuam, mas pouco a pouco vão virando sidequest. Estar...

Read full letter

Значит так тебе будет где то 20 не ебу В общем и целом, не сы это ты из прошлого в лет так 16 Я надеюсь ты так и...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter